# Uses of Enum Class
org.eclipse.net4j.db.DBType

Packages that use DBType
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.mysql
The Net4j DB Framework support for MYSQL databases.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of DBType in org.eclipse.net4j.db

Methods in org.eclipse.net4j.db that return DBType
Modifier and Type
Method
Description
`DBType`
IDBAdapter.`adaptType(DBType type)`
Provide a way for the DBAdapter to override unsupported DB types with replacements.
`static DBType`
DBType.`getTypeByCode(int code)`
`static DBType`
DBType.`getTypeByKeyword(String keyword)`
`static DBType`
DBType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DBType[]`
DBType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.db with parameters of type DBType
Modifier and Type
Method
Description
`DBType`
IDBAdapter.`adaptType(DBType type)`
Provide a way for the DBAdapter to override unsupported DB types with replacements.
`int`
IDBAdapter.`getFieldLength(DBType type)`
Returns the column length for the given database type.
`boolean`
IDBAdapter.`isTypeIndexable(DBType type)`

## Uses of DBType in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return DBType
Modifier and Type
Method
Description
`DBType`
IDBField.`getType()`
Methods in org.eclipse.net4j.db.ddl with parameters of type DBType
Modifier and Type
Method
Description
`IDBField`
IDBTable.`addField(String name, DBType type)`
`IDBField`
IDBTable.`addField(String name, DBType type, boolean notNull)`
`IDBField`
IDBTable.`addField(String name, DBType type, int precision)`
`IDBField`
IDBTable.`addField(String name, DBType type, int precision, boolean notNull)`
`IDBField`
IDBTable.`addField(String name, DBType type, int precision, int scale)`
`IDBField`
IDBTable.`addField(String name, DBType type, int precision, int scale, boolean notNull)`
`IDBField`
IDBTable.`ensureField(String name, DBType type, int precision, int scale, boolean notNull)`
`void`
IDBField.`setType(DBType type)`

## Uses of DBType in org.eclipse.net4j.db.mysql

Methods in org.eclipse.net4j.db.mysql with parameters of type DBType
Modifier and Type
Method
Description
`boolean`
MYSQLAdapter.`isTypeIndexable(DBType type)`

## Uses of DBType in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db that return DBType
Modifier and Type
Method
Description
`DBType`
DBAdapter.`adaptType(DBType type)`
Methods in org.eclipse.net4j.spi.db with parameters of type DBType
Modifier and Type
Method
Description
`DBType`
DBAdapter.`adaptType(DBType type)`
`static int`
DBAdapter.`getDefaultDBLength(DBType type)`
`int`
DBAdapter.`getFieldLength(DBType type)`
`boolean`
DBAdapter.`isTypeIndexable(DBType type)`